ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
curation
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
otp
page
payment
playback-log
playback
profile
    Profile ListgetProfile CreatepostProfile Avatars Listget이어보기(Continue Watching) 목록get에피소드별 이어보기 조회get프로그램별 이어보기 목록getProfile Favorites ListgetProfile Favorites CreatepostProfile Favorites Delete AlldeleteProfile Favorites Save To AllpostProfile Favorites DeletedeleteProfile Retrieveget시청 기록 목록getwatching histories deletedeletewatching histories episode deletedeleteProfile Retrieveget프로필 전체 수정putProfile DeletedeleteProfile partial UpdatepatchProfile Sign Inpost
program
programs
promotion-banner
reward
samsung
search
shorts
sponsor
tv-guide
user
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

profile


Profile List

GET
https://odkmedia.io
/odx/api/v3/profile/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#List%5BinlineExtension%5D%3Agreen_star%3A

Profile List › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

search
​string

A search term.

Profile List › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile List › Responses

200
​OdxV3ProfileList[]
OdxV3ProfileList
​Avatar · required
name
​string · maxLength: 256 · required
user
​integer · required
birthday
​string | null · date
  • Nullable
​
  • Nullable
has_pin
​string · readOnly
  • Default false
id
​integer · readOnly
  • id is unique per Profile.
is_active
​boolean
  • Nullable
is_kid
​boolean
  • Default false
is_primary
​boolean
  • Default false
language
​LanguageEnum · enum
  • en - English
  • ko - Korean
  • zh-hans - Simplified Chinese
  • zh-hant - Traditional Chinese
  • es - Spanish
  • pt - Portuguese
Enum values:
en
ko
zh-hans
zh-hant
es
pt
GET/odx/api/v3/profile/
curl https://odkmedia.io/odx/api/v3/profile \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
[ { "avatar": { "description": "description", "id": 0, "image_url": "https://www.example.com/path/to/resource", "order": 0 }, "birthday": "2024-08-25", "gender": "m", "has_pin": "has_pin", "id": 0, "is_active": true, "is_kid": true, "is_primary": true, "language": "en", "name": "name", "user": 0 } ]
json
application/json

Profile Create

POST
https://odkmedia.io
/odx/api/v3/profile/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Create%5BinlineExtension%5D-%3Agreen_star%3A

Profile Create › query Parameters

debug
​string

If value is "on", debug is included in response.

Profile Create › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Create › Request Body

OdxV3ProfileUpsertRequest
name
​string · minLength: 1 · maxLength: 256 · required
user
​integer · required
avatar_id
​integer | null
birthday
​string | null · date
​
is_active
​boolean
is_kid
​boolean
language
​LanguageEnum · enum
  • en - English
  • ko - Korean
  • zh-hans - Simplified Chinese
  • zh-hant - Traditional Chinese
  • es - Spanish
  • pt - Portuguese
Enum values:
en
ko
zh-hans
zh-hant
es
pt
pin
​string | null · minLength: 1 · maxLength: 4

Profile Create › Responses

OdxV3ProfileUpsert
name
​string · maxLength: 256 · required
user
​integer · required
avatar_id
​integer | null
birthday
​string | null · date
​
id
​integer · readOnly
is_active
​boolean
is_kid
​boolean
language
​LanguageEnum · enum
  • en - English
  • ko - Korean
  • zh-hans - Simplified Chinese
  • zh-hant - Traditional Chinese
  • es - Spanish
  • pt - Portuguese
Enum values:
en
ko
zh-hans
zh-hant
es
pt
pin
​string | null · maxLength: 4
POST/odx/api/v3/profile/
curl https://odkmedia.io/odx/api/v3/profile \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "avatar_id": 0, "birthday": "2024-08-25", "gender": "m", "is_active": true, "is_kid": true, "language": "en", "name": "name", "pin": "pin", "user": 0 }'
Example Request Body
{ "avatar_id": 0, "birthday": "2024-08-25", "gender": "m", "is_active": true, "is_kid": true, "language": "en", "name": "name", "pin": "pin", "user": 0 }
json
Example Responses
{ "avatar_id": 0, "birthday": "2024-08-25", "gender": "m", "id": 0, "is_active": true, "is_kid": true, "language": "en", "name": "name", "pin": "pin", "user": 0 }
json
application/json

Profile Avatars List

GET
https://odkmedia.io
/odx/api/v3/profile/avatars/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Avatar-%3Agreen_star%3A

Profile Avatars List › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

search
​string

A search term.

Profile Avatars List › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Avatars List › Responses

200
​ProfileAvatar[]
ProfileAvatar
image_url
​string · uri · maxLength: 255 · required
description
​string | null · maxLength: 255
id
​integer · readOnly
order
​integer · min: 0 · max: 2147483647
GET/odx/api/v3/profile/avatars/
curl https://odkmedia.io/odx/api/v3/profile/avatars \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
[ { "description": "description", "id": 0, "image_url": "https://www.example.com/path/to/resource", "order": 0 } ]
json
application/json

이어보기(Continue Watching) 목록

GET
https://odkmedia.io
/odx/api/v3/profile/continuous-watching-histories/

이어보기(Continue Watching) 목록 › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

한 번에 반환할 시청 기록 수. 기본값 10.

search
​string

A search term.

이어보기(Continue Watching) 목록 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

이어보기(Continue Watching) 목록 › Responses

200
PaginatedOdxV3ContinuousWatchingHistoryList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​OdxV3ContinuousWatchingHistory[]
GET/odx/api/v3/profile/continuous-watching-histories/
curl https://odkmedia.io/odx/api/v3/profile/continuous-watching-histories \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "duration": 0, "episode": { "age_rating": { "is_block": true, "label": "All", "name": "All" }, "badges": "badges", "id": 0, "images": { "thumbnail": "https://www.example.com/path/to/resource" }, "kind": "series", "number": 0, "part": 0, "program": { "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "slug": "slug", "title": "title" }, "slug": "slug", "title": "title", "video": "video", "video_cc_languages": [ "ko" ], "video_duration": 0 }, "episode_id": 0, "is_primary": true, "last_position": 0, "profile_id": 0, "program_id": 0, "progress_ratio": 0, "session_key": "session_key", "total_play_time": 0, "updated_at": "2024-08-25T15:00:00Z", "user_id": 0, "watched": true } ] }
json
application/json

에피소드별 이어보기 조회

GET
https://odkmedia.io
/odx/api/v3/profile/continuous-watching-histories/episode/{id}/

에피소드별 이어보기 조회 › path Parameters

id
​integer · required

에피소드별 이어보기 조회 › query Parameters

debug
​string

If value is "on", debug is included in response.

에피소드별 이어보기 조회 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

에피소드별 이어보기 조회 › Responses

200
OdxV3ContinuousWatchingHistory
duration
​number · double · required

The video length

episode_id
​integer · required
is_primary
​boolean · required
last_position
​number · double · required

The last watched point

profile_id
​integer · required
program_id
​integer · required
session_key
​string · required
total_play_time
​number · double · required

Total played video time

updated_at
​string · date-time · required
user_id
​integer · required
watched
​boolean · required

True if progress_ratio is larger than 90%

​object · readOnly
progress_ratio
​number · double

last_position divided by duration

GET/odx/api/v3/profile/continuous-watching-histories/episode/{id}/
curl https://odkmedia.io/odx/api/v3/profile/continuous-watching-histories/episode/:id \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "duration": 0, "episode": { "age_rating": { "is_block": true, "label": "All", "name": "All" }, "badges": "badges", "id": 0, "images": { "thumbnail": "https://www.example.com/path/to/resource" }, "kind": "series", "number": 0, "part": 0, "program": { "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "slug": "slug", "title": "title" }, "slug": "slug", "title": "title", "video": "video", "video_cc_languages": [ "ko" ], "video_duration": 0 }, "episode_id": 0, "is_primary": true, "last_position": 0, "profile_id": 0, "program_id": 0, "progress_ratio": 0, "session_key": "session_key", "total_play_time": 0, "updated_at": "2024-08-25T15:00:00Z", "user_id": 0, "watched": true }
json
application/json

프로그램별 이어보기 목록

GET
https://odkmedia.io
/odx/api/v3/profile/continuous-watching-histories/program/{id}/

프로그램별 이어보기 목록 › path Parameters

id
​integer · required

프로그램별 이어보기 목록 › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

한 번에 반환할 시청 기록 수. 기본값 10.

search
​string

A search term.

프로그램별 이어보기 목록 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

프로그램별 이어보기 목록 › Responses

200
PaginatedOdxV3ContinuousWatchingHistoryList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​OdxV3ContinuousWatchingHistory[]
GET/odx/api/v3/profile/continuous-watching-histories/program/{id}/
curl https://odkmedia.io/odx/api/v3/profile/continuous-watching-histories/program/:id \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "duration": 0, "episode": { "age_rating": { "is_block": true, "label": "All", "name": "All" }, "badges": "badges", "id": 0, "images": { "thumbnail": "https://www.example.com/path/to/resource" }, "kind": "series", "number": 0, "part": 0, "program": { "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "slug": "slug", "title": "title" }, "slug": "slug", "title": "title", "video": "video", "video_cc_languages": [ "ko" ], "video_duration": 0 }, "episode_id": 0, "is_primary": true, "last_position": 0, "profile_id": 0, "program_id": 0, "progress_ratio": 0, "session_key": "session_key", "total_play_time": 0, "updated_at": "2024-08-25T15:00:00Z", "user_id": 0, "watched": true } ] }
json
application/json

Profile Favorites List

GET
https://odkmedia.io
/odx/api/v3/profile/favorites/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#List-%3Agreen_star%3A

Profile Favorites List › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

Number of results to return per page.

search
​string

A search term.

Profile Favorites List › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Favorites List › Responses

200
PaginatedOdxV3ProfileFavoritesList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​OdxV3ProfileFavorites[]
GET/odx/api/v3/profile/favorites/
curl https://odkmedia.io/odx/api/v3/profile/favorites \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "direct_play_episode": { "id": 0, "sales_type": "GUEST", "slug": "slug" }, "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "is_favorite": true, "slug": "slug" } ] }
json
application/json

Profile Favorites Create

POST
https://odkmedia.io
/odx/api/v3/profile/favorites/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Create-%3Agreen_star%3A

Profile Favorites Create › query Parameters

debug
​string

If value is "on", debug is included in response.

Profile Favorites Create › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Favorites Create › Request Body

OdxV3ProfileFavoritesCreateRequest
program_slug
​string · minLength: 1 · writeOnly · required

Profile Favorites Create › Responses

OdxV3ProfileFavoritesCreate
​object · readOnly
id
​integer · readOnly
​object · readOnly
is_favorite
​string · readOnly

always return True because this program is in user's favorite program list

Default: true
slug
​string · readOnly
POST/odx/api/v3/profile/favorites/
curl https://odkmedia.io/odx/api/v3/profile/favorites \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "program_slug": "program_slug" }'
Example Request Body
{ "program_slug": "program_slug" }
json
Example Responses
{ "direct_play_episode": { "id": 0, "sales_type": "GUEST", "slug": "slug" }, "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "is_favorite": true, "slug": "slug" }
json
application/json

Profile Favorites Delete All

DELETE
https://odkmedia.io
/odx/api/v3/profile/favorites/remove_all/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Remove-All-%3Agreen_star%3A

Profile Favorites Delete All › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Favorites Delete All › Responses

No response body

No data returned
DELETE/odx/api/v3/profile/favorites/remove_all/
curl https://odkmedia.io/odx/api/v3/profile/favorites/remove_all \ --request DELETE \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

Profile Favorites Save To All

POST
https://odkmedia.io
/odx/api/v3/profile/favorites/save-to-all/

Profile Favorites Save To All › query Parameters

debug
​string

If value is "on", debug is included in response.

Profile Favorites Save To All › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Favorites Save To All › Request Body

OdxV3ProfileFavoritesCreateRequest
program_slug
​string · minLength: 1 · writeOnly · required

Profile Favorites Save To All › Responses

200
OdxV3ProfileFavoritesCreate
​object · readOnly
id
​integer · readOnly
​object · readOnly
is_favorite
​string · readOnly

always return True because this program is in user's favorite program list

Default: true
slug
​string · readOnly
POST/odx/api/v3/profile/favorites/save-to-all/
curl https://odkmedia.io/odx/api/v3/profile/favorites/save-to-all \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "program_slug": "program_slug" }'
Example Request Body
{ "program_slug": "program_slug" }
json
Example Responses
{ "direct_play_episode": { "id": 0, "sales_type": "GUEST", "slug": "slug" }, "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "is_favorite": true, "slug": "slug" }
json
application/json

Profile Favorites Delete

DELETE
https://odkmedia.io
/odx/api/v3/profile/favorites/{slug}/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Delete-%3Agreen_star%3A

Profile Favorites Delete › path Parameters

slug
​integer · required

A unique integer value identifying this Profile Favorites.

Profile Favorites Delete › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Favorites Delete › Responses

No response body

No data returned
DELETE/odx/api/v3/profile/favorites/{slug}/
curl https://odkmedia.io/odx/api/v3/profile/favorites/:slug \ --request DELETE \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

Profile Retrieve

GET
https://odkmedia.io
/odx/api/v3/profile/info/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Retrieve%5BinlineExtension%5D%3Agreen_star%3A

Profile Retrieve › query Parameters

debug
​string

If value is "on", debug is included in response.

Profile Retrieve › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Retrieve › Responses

200

No response body

No data returned
GET/odx/api/v3/profile/info/
curl https://odkmedia.io/odx/api/v3/profile/info \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

시청 기록 목록

GET
https://odkmedia.io
/odx/api/v3/profile/watching-histories/

시청 기록 목록 › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

Number of results to return per page.

search
​string

A search term.

시청 기록 목록 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

시청 기록 목록 › Responses

200
PaginatedOdxV3ContinuousWatchingHistoryList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​OdxV3ContinuousWatchingHistory[]
GET/odx/api/v3/profile/watching-histories/
curl https://odkmedia.io/odx/api/v3/profile/watching-histories \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "duration": 0, "episode": { "age_rating": { "is_block": true, "label": "All", "name": "All" }, "badges": "badges", "id": 0, "images": { "thumbnail": "https://www.example.com/path/to/resource" }, "kind": "series", "number": 0, "part": 0, "program": { "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "slug": "slug", "title": "title" }, "slug": "slug", "title": "title", "video": "video", "video_cc_languages": [ "ko" ], "video_duration": 0 }, "episode_id": 0, "is_primary": true, "last_position": 0, "profile_id": 0, "program_id": 0, "progress_ratio": 0, "session_key": "session_key", "total_play_time": 0, "updated_at": "2024-08-25T15:00:00Z", "user_id": 0, "watched": true } ] }
json
application/json

watching histories delete

DELETE
https://odkmedia.io
/odx/api/v3/profile/watching-histories/

watching histories delete › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

watching histories delete › Responses

No response body

No data returned
DELETE/odx/api/v3/profile/watching-histories/
curl https://odkmedia.io/odx/api/v3/profile/watching-histories \ --request DELETE \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

watching histories episode delete

DELETE
https://odkmedia.io
/odx/api/v3/profile/watching-histories/episode/{id}/

watching histories episode delete › path Parameters

id
​integer · required

watching histories episode delete › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

watching histories episode delete › Responses

No response body

No data returned
DELETE/odx/api/v3/profile/watching-histories/episode/{id}/
curl https://odkmedia.io/odx/api/v3/profile/watching-histories/episode/:id \ --request DELETE \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

Profile Retrieve

GET
https://odkmedia.io
/odx/api/v3/profile/{id}/

To be written. Go to https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Retrieve%5BinlineExtension%5D%3Agreen_star%3A

Profile Retrieve › path Parameters

id
​string · required

Profile Retrieve › query Parameters

debug
​string

If value is "on", debug is included in response.

Profile Retrieve › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Retrieve › Responses

200
OdxV3Profile
​Avatar · required
name
​string · maxLength: 256 · required
user
​integer · required
birthday
​string | null · date
​
has_pin
​string · readOnly
id
​integer · readOnly
is_active
​boolean
is_kid
​boolean
is_primary
​boolean
language
​LanguageEnum · enum
  • en - English
  • ko - Korean
  • zh-hans - Simplified Chinese
  • zh-hant - Traditional Chinese
  • es - Spanish
  • pt - Portuguese
Enum values:
en
ko
zh-hans
zh-hant
es
pt
GET/odx/api/v3/profile/{id}/
curl https://odkmedia.io/odx/api/v3/profile/:id \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "avatar": { "description": "description", "id": 0, "image_url": "https://www.example.com/path/to/resource", "order": 0 }, "birthday": "2024-08-25", "gender": "m", "has_pin": "has_pin", "id": 0, "is_active": true, "is_kid": true, "is_primary": true, "language": "en", "name": "name", "user": 0 }
json
application/json

프로필 전체 수정

PUT
https://odkmedia.io
/odx/api/v3/profile/{id}/

ODX 토큰 인증이 필요하다. 같은 ViewSet 의 PATCH(부분 수정)와 같은 시리얼라이저 (OdxV3ProfileUpsertSerializer)를 쓰는 전체 수정(PUT) 액션으로, 프로필을 갱신하고 관련 ProfileToken 캐시를 지운 뒤 갱신된 프로필을 반환한다. 본문이 비어 있으면 400 을 반환한다.

프로필 전체 수정 › path Parameters

id
​string · required

프로필 전체 수정 › query Parameters

debug
​string

If value is "on", debug is included in response.

프로필 전체 수정 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

프로필 전체 수정 › Request Body

OdxV3ProfileUpsertRequest
name
​string · minLength: 1 · maxLength: 256 · required
user
​integer · required
avatar_id
​integer | null
birthday
​string | null · date
​
is_active
​boolean
is_kid
​boolean
language
​LanguageEnum · enum
  • en - English
  • ko - Korean
  • zh-hans - Simplified Chinese
  • zh-hant - Traditional Chinese
  • es - Spanish
  • pt - Portuguese
Enum values:
en
ko
zh-hans
zh-hant
es
pt
pin
​string | null · minLength: 1 · maxLength: 4

프로필 전체 수정 › Responses

200
OdxV3ProfileUpsert
name
​string · maxLength: 256 · required
user
​integer · required
avatar_id
​integer | null
birthday
​string | null · date
​
id
​integer · readOnly
is_active
​boolean
is_kid
​boolean
language
​LanguageEnum · enum
  • en - English
  • ko - Korean
  • zh-hans - Simplified Chinese
  • zh-hant - Traditional Chinese
  • es - Spanish
  • pt - Portuguese
Enum values:
en
ko
zh-hans
zh-hant
es
pt
pin
​string | null · maxLength: 4
PUT/odx/api/v3/profile/{id}/
curl https://odkmedia.io/odx/api/v3/profile/:id \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "avatar_id": 0, "birthday": "2024-08-25", "gender": "m", "is_active": true, "is_kid": true, "language": "en", "name": "name", "pin": "pin", "user": 0 }'
Example Request Body
{ "avatar_id": 0, "birthday": "2024-08-25", "gender": "m", "is_active": true, "is_kid": true, "language": "en", "name": "name", "pin": "pin", "user": 0 }
json
Example Responses
{ "avatar_id": 0, "birthday": "2024-08-25", "gender": "m", "id": 0, "is_active": true, "is_kid": true, "language": "en", "name": "name", "pin": "pin", "user": 0 }
json
application/json

Profile Delete

DELETE
https://odkmedia.io
/odx/api/v3/profile/{id}/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Delete%5BinlineExtension%5D%3Agreen_star%3A

Profile Delete › path Parameters

id
​string · required

Profile Delete › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Delete › Responses

No response body

No data returned
DELETE/odx/api/v3/profile/{id}/
curl https://odkmedia.io/odx/api/v3/profile/:id \ --request DELETE \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

Profile partial Update

PATCH
https://odkmedia.io
/odx/api/v3/profile/{id}/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Update%5BinlineExtension%5D%3Agreen_star%3A

Profile partial Update › path Parameters

id
​string · required

Profile partial Update › query Parameters

debug
​string

If value is "on", debug is included in response.

Profile partial Update › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile partial Update › Request Body

PatchedOdxV3ProfileUpsertRequest
avatar_id
​integer | null
birthday
​string | null · date
​
is_active
​boolean
is_kid
​boolean
language
​LanguageEnum · enum
  • en - English
  • ko - Korean
  • zh-hans - Simplified Chinese
  • zh-hant - Traditional Chinese
  • es - Spanish
  • pt - Portuguese
Enum values:
en
ko
zh-hans
zh-hant
es
pt
name
​string · minLength: 1 · maxLength: 256
pin
​string | null · minLength: 1 · maxLength: 4
user
​integer

Profile partial Update › Responses

200
OdxV3ProfileUpsert
name
​string · maxLength: 256 · required
user
​integer · required
avatar_id
​integer | null
birthday
​string | null · date
​
id
​integer · readOnly
is_active
​boolean
is_kid
​boolean
language
​LanguageEnum · enum
  • en - English
  • ko - Korean
  • zh-hans - Simplified Chinese
  • zh-hant - Traditional Chinese
  • es - Spanish
  • pt - Portuguese
Enum values:
en
ko
zh-hans
zh-hant
es
pt
pin
​string | null · maxLength: 4
PATCH/odx/api/v3/profile/{id}/
curl https://odkmedia.io/odx/api/v3/profile/:id \ --request PATCH \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "avatar_id": 0, "birthday": "2024-08-25", "gender": "m", "is_active": true, "is_kid": true, "language": "en", "name": "name", "pin": "pin", "user": 0 }'
Example Request Body
{ "avatar_id": 0, "birthday": "2024-08-25", "gender": "m", "is_active": true, "is_kid": true, "language": "en", "name": "name", "pin": "pin", "user": 0 }
json
Example Responses
{ "avatar_id": 0, "birthday": "2024-08-25", "gender": "m", "id": 0, "is_active": true, "is_kid": true, "language": "en", "name": "name", "pin": "pin", "user": 0 }
json
application/json

Profile Sign In

POST
https://odkmedia.io
/odx/api/v3/profile/{id}/sign-in/

https://ondemandkorea.atlassian.net/wiki/spaces/BE/pages/2653356161/API+specification#Profile-Sign-In%5BinlineExtension%5D%3Agreen_star%3A

Profile Sign In › path Parameters

id
​string · required

Profile Sign In › query Parameters

debug
​string

If value is "on", debug is included in response.

Profile Sign In › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Profile Sign In › Request Body

OdxV3ProfileSignInRequest
pin
​string · minLength: 1 · writeOnly

Profile Sign In › Responses

200

No response body

No data returned
POST/odx/api/v3/profile/{id}/sign-in/
curl https://odkmedia.io/odx/api/v3/profile/:id/sign-in \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "pin": "pin" }'
Example Request Body
{ "pin": "pin" }
json
Example Responses
No example specified for this content type

playbackprogram